Bug 1083090 - jetty: Unowned PID file
Summary: jetty: Unowned PID file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jetty
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-01 13:08 UTC by Mikolaj Izdebski
Modified: 2014-04-25 04:26 UTC (History)
7 users (show)

Fixed In Version: jetty-9.0.5-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-25 04:26:19 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-04-01 13:08:50 UTC
Description of problem:
Jetty creates PID file, which is not marked as ghost:

# rpm -qf /var/run/jetty.pid 
file /var/run/jetty.pid is not owned by any package

Version-Release number of selected component (if applicable):
9.0.5-1

Comment 1 Michael Simacek 2014-04-11 13:13:23 UTC
I rewritten the script to not use PID file at all and rely on systemd.

Comment 2 Fedora Update System 2014-04-11 14:09:59 UTC
jetty-9.0.5-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jetty-9.0.5-3.fc20

Comment 3 Fedora Update System 2014-04-15 15:40:31 UTC
Package jetty-9.0.5-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jetty-9.0.5-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5116/jetty-9.0.5-3.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Admin XMLRPC Client 2014-04-24 12:46:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Update System 2014-04-25 04:26:19 UTC
jetty-9.0.5-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.